<template>
  <div
    ref="mainContainer"
    class="relative z-0 w-screen h-screen bg-primary-default"
    @mousemove="parallaxPage"
  >
    <div class="mx-6 md:ml-12 md:mr-0 pt-16 max-w-full md:max-w-xs">
      <Nuxt />
    </div>
  </div>
</template>

<script>
export default {
  name: 'TemporaryHomeLayout',

  methods: {
    parallaxPage (e) {
      this.$nuxt.$emit('move-index', this.$refs.mainContainer, e);
    },
  },
};
</script>
